<?php

include('setup.class.php');

/* Variables for the application */
$setup = new SetupScript('constants.php', 'pe5ches4', 'Setup and configuration');
// Note: If a value is required, set the default value to false to force validation on the variable
// Note: $setup->AddVariable('name', max_length, default_value, 'helpful_description', 'helpful_example');
// Note: $setup->AddInstruction('MethodName', 'Description of function');

$setup->AddVariable('MYSQL_SERVER', 0, false, false, 'MySQL server', 'localhost:/tmp/mysql5.sock');
$setup->AddVariable('MYSQL_DATABASE', 0, false, false, '- Database', 'database');
$setup->AddVariable('MYSQL_USERNAME', 0, false, false, '- User', 'user');
$setup->AddVariable('MYSQL_PASSWORD', 0, true, false, ' - Password', 'password');
$setup->AddLinebreak();

$setup->AddVariable('COMMENTS_TABLE', 0, false, false, ' Table name to store entries', 'oc_comments');
$setup->AddVariable('SERVICE_DIRECTORY', 0, false, false, ' URL of OpenComments Service', 'http://mkv25.net/opencomments/v2/');
$setup->AddLinebreak();

$setup->AddVariable('BBCODE_SITE_ROOT', 0, false, false, ' Default for bbcode links', 'http://mkv25.net/info/');
$setup->AddLinebreak();

$setup->AddVariable('TRUSTED_USER_1', 0, false, false, '', 'http://mkv25.net/openid/Markavian');
$setup->AddVariable('TRUSTED_USER_2', 0, false, false, '', 'http://localhost/openid/Markavian');

/* End variables */
/* Post setup instructions */
$setup->AddInstruction('CreateTables', 'Create tables in the database needed for the application', true);
$setup->AddInstruction('AnnounceSuccess', 'Annouce successful installation');
/* End instructions */

function CreateTables()
{
	echo '<h2>SQL Tables</h2>';
	echo '<p>Creating tables...</p>';
	
	require_once('constants.php');
	require_once('../config/sql_class.php');
	$sql = new sql($MYSQL_SERVER, $MYSQL_DATABASE, $MYSQL_USERNAME, $MYSQL_PASSWORD);

	$instructions = array();
	
	$instructions[] = sprintf("
CREATE TABLE IF NOT EXISTS `%s` (
  `comment_id` int(11) NOT NULL auto_increment,
  `url` varchar(255) NOT NULL,
  `comment` text NOT NULL,
  `openid` tinytext NOT NULL,
  `username` varchar(32) NOT NULL,
  `website` varchar(128) NOT NULL,
  `postdate` datetime NOT NULL,
  `comment_type` enum('comment','feedback','todo','bug','suggestion') NOT NULL,
  PRIMARY KEY  (`comment_id`,`url`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
	", $COMMENTS_TABLE);
	
	foreach($instructions as $name=>$query)
	{
		$sql->query($query, $name);
	}
	
	echo '<p>Sparing error messages listed above; tables created.</p>';
}

function AnnounceSuccess()
{
	echo "<h2>Success</h2>";
	echo "<p>Installation was a success.</p>";
}

/* Create, process, and display page */
$setup->DisplayPage();

?>